stages:
    - build
    - notify
before_script:
    - apt-get update -qq && apt-get install

Build:
    stage: build
    cache:
        paths:
            - node_modules/
            - .yarn/
        policy: pull-push
    tags:
        - backoffice-front
    before_script:
        - export REACT_APP_API_URL="$REACT_APP_API_URL"
        - env
        - yarn config set cache-folder .yarn
        - yarn install

    script:
        - pwd
        - git config --global credential.helper cache
        - git clone http://ci.cd_account:glpat-xmZekX15LbLQQdfYG2xD@44.227.18.113/ngle.dev/backofficefront.git
        - CI='' yarn build
        - rm -rf /application/backofficefront/build
        - mv build/ /application/backofficefront/
        - ls -al /application/backofficefront/

    artifacts:
        name: build
        when: on_success
        expire_in: 1 week
        paths:
            - build

    only:
        - dev
